中危 PCS pcsd竞争条件漏洞

CVE编号

CVE-2015-5189

利用情况

暂无

补丁情况

官方补丁

披露时间

2015-09-04
漏洞描述
PCS是一套利用命令行和Web UI来配置和管理Pacemaker和Corosync(集群软件)的工具。

PCS 0.9.139及之前版本的pcsd中存在竞争条件漏洞,该漏洞源于程序使用全局变量验证用户名。远程攻击者可通过发送已执行安全检查的命令利用该漏洞获取权限。
解决建议
用户可参考如下厂商提供的安全公告获取补丁以修复该漏洞:
http://rhn.redhat.com/errata/RHSA-2015-1700.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 pacemaker/corosync_configuration_system_project pacemaker/corosync_configuration_system * Up to
(including)
0.9.139
运行在以下环境
系统 centos_7 pcs * Up to
(excluding)
0.9.137-13.el7_1.4
运行在以下环境
系统 centos_7 pcs-debuginfo * Up to
(excluding)
0.9.137-13.el7_1.4
运行在以下环境
系统 debian DPKG * Up to
(excluding)
0
运行在以下环境
系统 fedora_21 pcs * Up to
(excluding)
0.9.137-5.fc21
运行在以下环境
系统 fedora_21 pcs-debuginfo * Up to
(excluding)
0.9.137-5.fc21
运行在以下环境
系统 fedora_22 pcs * Up to
(excluding)
0.9.139-7.fc22
运行在以下环境
系统 fedora_22 pcs-debuginfo * Up to
(excluding)
0.9.139-7.fc22
运行在以下环境
系统 redhat_7 pcs * Up to
(excluding)
0:0.9.139-9.el6_7.1
阿里云评分
4.9
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-362 使用共享资源的并发执行不恰当同步问题(竞争条件)
阿里云安全产品覆盖情况